Subject: Fw: [Bug 205621] New: Linux next-20191121 NULL dereference on start-up, leading to unusable system

From: Stephen Hemminger <[email-masked]>
Date: Thu, 21 Nov 2019 08:36:07 -0800

Begin forwarded message:

Date: Thu, 21 Nov 2019 14:48:31 +0000
From: [email-masked]
To: [email-masked]
Subject: [Bug 205621] New: Linux next-20191121 NULL dereference on start-up, leading to unusable system

https://bugzilla.kernel.org/show_bug.cgi?id=205621

            Bug ID: 205621
           Summary: Linux next-20191121 NULL dereference on start-up,
                    leading to unusable system
           Product: Networking
           Version: 2.5
    Kernel Version: next-20191121
          Hardware: All
                OS: Linux
              Tree: Mainline
            Status: NEW
          Severity: blocking
          Priority: P1
         Component: Other
          Assignee: [email-masked]
          Reporter: [email-masked]
        Regression: No

Created attachment 286005
  --> https://bugzilla.kernel.org/attachment.cgi?id=286005&action=edit  
The .config

Linux next-20191121 - .config file attached.

NULL dereference on start-up, leading to unusable system.

Used "git clone --depth=1 --single-branch --branch next-20191115
https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git"

Where I am, I cannot use serial console to save the stack trace.

I will attach a photo of the screen.

The top few functions are:

kernfs_find_and_get_ns
sysfs_remove_group
netdev_queue_update_kobjects
netdev_unregister_kobject

This leads me to believe that it is part of networking.

I will do a bisect if I have to, but given how time consuming they are on a
quad-core machine, I hope somebody else with a 32-core Threadripper can step up
to the task.

-- 
You are receiving this mail because:
You are the assignee for the bug.